-- CMDLINE PARAMETERS:
--   1: number of samples to capture
--   2: sample duration
set verify off feedback off
begin
  for cnt in 1..&1
  loop
    insert into twl_sysstat (
      select sysdate
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='physical reads' ))                  phy_read
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='physical read total bytes' ))       phy_read_byte
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='physical read total IO requests' )) phy_read_IO
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='physical writes'))                  phy_write
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='physical write total bytes'))       phy_write_byte
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='physical write total IO requests')) phy_write_IO
        ,(select value from v$sysstat where stat_id=(select stat_id 
          from v$statname where name='redo writes'                     )) redo_write
      from dual
    );
    if (cnt<&1) then
      dbms_lock.sleep(&2);
    end if;
  end loop;
end;
/
exit
